Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1686)
+++ palm/trunk/SOURCE/modules.f90	(revision 1691)
@@ -14,10 +14,13 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-! 
+! Renamed Obukhov length. Added ol, removed rif. Increased number of profiles 
+! (pr_palm). Changed default values for dissipation_1d to 'detering' and 
+! (mixing_length_1d to 'blackadar'. Added most_method. rif_min and rif_max
+! renamed to zeta_min and zeta_max and new values assigned.
 ! 
 ! Former revisions:
@@ -300,4 +303,14 @@
 !
 !
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Definition of all variables
+!>
+!> @todo Add description for each variable
+!------------------------------------------------------------------------------!
+
+
+!------------------------------------------------------------------------------!
 ! Description:
 ! ------------
@@ -338,5 +351,7 @@
           flux_s_e, flux_s_nr, flux_s_pt, flux_s_q, flux_s_qr, flux_s_sa,      &
           flux_s_u, flux_s_v, flux_s_w, f1_mg, f2_mg, f3_mg,                   &
-          mean_inflow_profiles, nrs, nrsws, nrswst, ptnudge, pt_slope_ref,     &
+          mean_inflow_profiles, nrs, nrsws, nrswst,                            &
+          ol,                                                                  & !< Obukhov length
+          ptnudge, pt_slope_ref,                                               &
           qnudge, qs, qsws, qswst, qswst_remote, qrs, qrsws, qrswst, rif,      &
           saswsb, saswst, shf, tnudge, td_lsa_lpt, td_lsa_q, td_sub_lpt,       &
@@ -390,7 +405,13 @@
     USE kinds
 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  lwp_av, precipitation_rate_av,   &
-                                          qsws_av, shf_av,ts_av, us_av, z0_av, &
-                                          z0h_av
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  lwp_av,                & !> Avg. liquid water path
+                                              precipitation_rate_av, & !> Avg. of precipitation rate
+                                              ol_av,                 & !> Avg. of Obukhov length
+                                              qsws_av,               & !> Avg. of surface moisture flux
+                                              shf_av,                & !> Avg. of surface heat flux
+                                              ts_av,                 & !> Avg. of characteristic temperature scale
+                                              us_av,                 & !> Avg. of friction velocity
+                                              z0_av,                 & !> Avg. of roughness length for momentum
+                                              z0h_av                   !> Avg. of roughness length for heat and moisture
 
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::                         &
@@ -541,5 +562,7 @@
     CHARACTER (LEN=2)    ::  coupling_char = ''
     CHARACTER (LEN=5)    ::  write_binary = 'false'
-    CHARACTER (LEN=8)    ::  run_date, run_time
+    CHARACTER (LEN=8)    ::  most_method = 'lookup', & !< NAMELIST parameter defining method to be used to calculate Okukhov length, 
+                             run_date,               & !< 
+                             run_time                  !< 
     CHARACTER (LEN=9)    ::  simulated_time_chr
     CHARACTER (LEN=11)   ::  topography_grid_convention = ' '
@@ -563,7 +586,7 @@
                              coupling_mode = 'uncoupled', &
                              coupling_mode_remote = 'uncoupled', &
-                             dissipation_1d = 'as_in_3d_model', &
+                             dissipation_1d = 'detering', &
                              fft_method = 'system-specific', &
-                             mixing_length_1d = 'as_in_3d_model', &
+                             mixing_length_1d = 'blackadar', &
                              random_generator = 'numerical-recipes', &
                              reference_state = 'initial_profile', &
@@ -653,4 +676,5 @@
                 cloud_top_radiation = .FALSE., &
                 conserve_volume_flow = .FALSE., constant_diffusion = .FALSE., &
+                constant_flux_layer = .TRUE., &
                 constant_heatflux = .TRUE., constant_top_heatflux = .TRUE., &
                 constant_top_momentumflux = .FALSE., &
@@ -679,5 +703,4 @@
                 outflow_l = .FALSE., outflow_n = .FALSE., outflow_r = .FALSE., &
                 outflow_s = .FALSE., passive_scalar = .FALSE., &
-                prandtl_layer = .TRUE., &
                 precipitation = .FALSE., &
                 random_heatflux = .FALSE., recycling_yshift = .FALSE.,&
@@ -745,5 +768,5 @@
                  recycling_width = 9999999.9_wp, residual_limit = 1.0E-4_wp, &
                  restart_time = 9999999.9_wp, rho_reference, rho_surface, &
-                 rif_max = 1.0_wp, rif_min = -5.0_wp, roughness_length = 0.1_wp, &
+                 roughness_length = 0.1_wp, &
                  sa_surface = 35.0_wp, &
                  simulated_time = 0.0_wp, simulated_time_at_begin, sin_alpha_surface, &
@@ -768,4 +791,6 @@
                  vg_surface = 0.0_wp, vpt_reference = 9999999.9_wp, &
                  v_bulk = 0.0_wp, v_gtrans = 0.0_wp, wall_adjustment_factor = 1.8_wp, &
+                 zeta_max = 20.0_wp,    & !< Maximum value of zeta = z/L
+                 zeta_min = -9990.0_wp, & !< Minimum value of zeta = z/L
                  z_max_do2d = -1.0_wp, z0h_factor = 1.0_wp
 
@@ -1149,5 +1174,5 @@
              'wpt          ', 'pt(0)        ', 'pt(zp)       ',                &
              'w"u"0        ', 'w"v"0        ', 'w"q"0        ',                &
-             'mo_L         ', 'q*           ',                                 &
+             'ol           ', 'q*           ',                                 &
              ( 'unknown      ', i9 = 1, dots_max-23 ) /)
 
@@ -1429,5 +1454,5 @@
 
     CHARACTER (LEN=40) ::  region(0:9)
-    INTEGER(iwp) ::  pr_palm = 120, statistic_regions = 0
+    INTEGER(iwp) ::  pr_palm = 130, statistic_regions = 0
     INTEGER(iwp) ::  u_max_ijk(3) = -1, v_max_ijk(3) = -1, w_max_ijk(3) = -1
     LOGICAL ::  flow_statistics_called = .FALSE.
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1686)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1691)
@@ -14,10 +14,11 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-! 
+! Added output of radiative heating rates for RRTMG. Corrected output of 
+! radiative fluxes
 ! 
 ! Former revisions:
@@ -116,24 +117,26 @@
 #if defined( __netcdf )
 
-    USE arrays_3d,                                                              &
+    USE arrays_3d,                                                             &
         ONLY:  zu, zw
 
-    USE constants,                                                              &
+    USE constants,                                                             &
         ONLY:  pi
 
-    USE control_parameters,                                                     &
-        ONLY:  averaging_interval, averaging_interval_pr, averaging_interval_sp,&
-        data_output_pr,  domask,  dopr_n,dopr_time_count, dopts_time_count,     &
-        dots_time_count, dosp_time_count, do2d, do2d_xz_time_count, do3d,       &
-        do2d_yz_time_count, mask_size, do2d_xy_time_count, do3d_time_count,     &
-        domask_time_count, mask_i_global, mask_j_global,mask_k_global,          &
-        message_string, mid, netcdf_data_format, netcdf_precision, ntdim_2d_xy, &
-        ntdim_2d_xz, ntdim_2d_yz, ntdim_3d, nz_do3d, prt_time_count,            &
-        run_description_header, section, simulated_time, topography
-
-    USE grid_variables,                                                         &
+    USE control_parameters,                                                    &
+        ONLY:  averaging_interval, averaging_interval_pr,                      &
+               averaging_interval_sp, data_output_pr,  domask,  dopr_n,        &
+               dopr_time_count, dopts_time_count, dots_time_count,             &
+               dosp_time_count, do2d, do2d_xz_time_count, do3d,                &
+               do2d_yz_time_count, mask_size, do2d_xy_time_count,              &
+               do3d_time_count, domask_time_count, mask_i_global,              &
+               mask_j_global, mask_k_global, message_string, mid,              &
+               netcdf_data_format, netcdf_precision, ntdim_2d_xy,              &
+               ntdim_2d_xz, ntdim_2d_yz, ntdim_3d, nz_do3d, prt_time_count,    &
+              run_description_header, section, simulated_time, topography
+
+    USE grid_variables,                                                        &
         ONLY:  dx, dy, zu_s_inner, zw_w_inner
 
-    USE indices,                                                                &
+    USE indices,                                                               &
         ONLY:  nx, ny, nz ,nzb, nzt
 
@@ -150,17 +153,19 @@
     USE pegrid
 
-    USE particle_attributes,                                                    &
+    USE particle_attributes,                                                   &
         ONLY:  maximum_number_of_particles, number_of_particle_groups
 
-    USE profil_parameter,                                                       &
-        ONLY:  crmax, cross_profiles, dopr_index,profile_columns, profile_rows
-
-    USE radiation_model_mod,                                                    &
-        ONLY:  rad_lw_in, rad_lw_out, rad_sw_in, rad_sw_out
-
-    USE spectrum,                                                               &
+    USE profil_parameter,                                                      &
+        ONLY:  crmax, cross_profiles, dopr_index, profile_columns, profile_rows
+
+    USE radiation_model_mod,                                                   &
+        ONLY:  rad_lw_in, rad_lw_out, rad_lw_cs_hr, rad_lw_hr,                 &
+               rad_sw_in, rad_sw_out, rad_sw_cs_hr, rad_sw_hr
+
+
+    USE spectrum,                                                              &
         ONLY:  comp_spectra_level, data_output_sp, spectra_direction
 
-    USE statistics,                                                             &
+    USE statistics,                                                            &
         ONLY:  hom, statistic_regions
 
@@ -531,8 +536,8 @@
 !
 !--             Most variables are defined on the scalar grid
-                CASE ( 'e', 'lpt', 'nr', 'p', 'pc', 'pr', 'prr', 'pt', 'q',&
-                       'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv',    &
-                       'rho', 's', 'sa', 'vpt', 'rad_lw_in', 'rad_lw_out', &
-                       'rad_sw_in', 'rad_sw_out' )
+                CASE ( 'e', 'lpt', 'nr', 'p', 'pc', 'pr', 'prr', 'pt', 'q',    &
+                       'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv',        &
+                       'rad_lw_cs_hr', 'rad_lw_hr', 'rad_sw_cs_hr',            &
+                       'rad_sw_hr', 'rho', 's', 'sa', 'vpt'  )
 
                    grid_x = 'x'
@@ -555,5 +560,6 @@
 !
 !--             w grid
-                CASE ( 'w' )
+                CASE ( 'rad_lw_in', 'rad_lw_out', 'rad_sw_in', 'rad_sw_out',   &
+                       'w' )
 
                    grid_x = 'x'
@@ -562,5 +568,5 @@
 !
 !--             soil grid
-                CASE ( 't_soil', 'm_soil' )
+                CASE ( 'm_soil', 't_soil' )
 
                    grid_x = 'x'
@@ -1112,8 +1118,8 @@
 !
 !--             Most variables are defined on the scalar grid
-                CASE ( 'e', 'lpt', 'nr', 'p', 'pc', 'pr', 'prr', 'pt', 'q',   &
-                       'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv', 'rho',&
-                       's', 'sa', 'vpt' , 'rad_lw_in', 'rad_lw_out',          &
-                       'rad_sw_in', 'rad_sw_out' )
+                CASE ( 'e', 'lpt', 'nr', 'p', 'pc', 'pr', 'prr', 'pt', 'q',    &
+                       'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv', 'rho', &
+                       's', 'sa', 'vpt' , 'rad_lw_cs_hr', 'rad_lw_hr',         &
+                       'rad_sw_cs_hr', 'rad_sw_hr' )
 
                    grid_x = 'x'
@@ -1136,5 +1142,6 @@
 !
 !--             w grid
-                CASE ( 'w' )
+                CASE ( 'rad_lw_in', 'rad_lw_out', 'rad_sw_in', 'rad_sw_out',   &
+                       'w' )
 
                    grid_x = 'x'
@@ -1143,5 +1150,5 @@
 !
 !--             soil grid
-                CASE ( 't_soil', 'm_soil' )
+                CASE ( 'm_soil', 't_soil' )
 
                    grid_x = 'x'
@@ -1765,9 +1772,10 @@
 !
 !--                   Most variables are defined on the zu grid
-                      CASE ( 'e_xy', 'lpt_xy', 'nr_xy', 'p_xy', 'pc_xy', 'pr_xy',&
-                             'prr_xy', 'pt_xy', 'q_xy', 'qc_xy', 'ql_xy',        &
-                             'ql_c_xy', 'ql_v_xy', 'ql_vp_xy', 'qr_xy', 'qv_xy', &
-                             'rho_xy', 's_xy', 'sa_xy', 'vpt_xy', 'rad_lw_in_xy',&
-                             'rad_lw_out_xy', 'rad_sw_in_xy', 'rad_sw_out_xy' )
+                      CASE ( 'e_xy', 'lpt_xy', 'nr_xy', 'p_xy', 'pc_xy',       &
+                             'pr_xy', 'prr_xy', 'pt_xy', 'q_xy', 'qc_xy',      &
+                             'ql_xy', 'ql_c_xy', 'ql_v_xy', 'ql_vp_xy',        &
+                             'qr_xy', 'qv_xy', 'rad_lw_cs_hr_xy',              &
+                             'rad_lw_hr_xy', 'rad_sw_cs_hr_xy', 'rad_sw_hr_xy',& 
+                             'rho_xy', 's_xy', 'sa_xy', 'vpt_xy' )
 
                          grid_x = 'x'
@@ -1790,5 +1798,6 @@
 !
 !--                   w grid
-                      CASE ( 'w_xy' )
+                      CASE ( 'rad_lw_in_xy', 'rad_lw_out_xy', 'rad_sw_in_xy',  &
+                             'rad_sw_out_xy' , 'w_xy' )
 
                          grid_x = 'x'
@@ -1797,5 +1806,5 @@
 !
 !--                   soil grid
-                      CASE ( 't_soil_xy', 'm_soil_xy' )
+                      CASE ( 'm_soil_xy', 't_soil_xy' )
                          grid_x = 'x'
                          grid_y = 'y'
@@ -2452,6 +2461,7 @@
                           'prr_xz', 'pt_xz', 'q_xz', 'qc_xz', 'ql_xz',         &
                           'ql_c_xz', 'ql_v_xz', 'ql_vp_xz', 'qr_xz', 'qv_xz',  &
-                          'rho_xz', 's_xz', 'sa_xz', 'vpt_xz' , 'rad_lw_in_xz',&
-                             'rad_lw_out_xz', 'rad_sw_in_xz', 'rad_sw_out_xz' )
+                          'rad_lw_cs_hr_xz', 'rad_lw_hr_xz',                   &
+                          'rad_sw_cs_hr_xz', 'rad_sw_hr_xz''rho_xz', 's_xz',   &
+                          'sa_xz', 'vpt_xz' )
 
                       grid_x = 'x'
@@ -2474,5 +2484,6 @@
 !
 !--                w grid
-                   CASE ( 'w_xz' )
+                   CASE ( 'rad_lw_in_xz', 'rad_lw_out_xz', 'rad_sw_in_xz',     &
+                          'rad_sw_out_xz', 'w_xz' )
 
                       grid_x = 'x'
@@ -2482,5 +2493,5 @@
 !
 !--                soil grid
-                   CASE ( 't_soil_xz', 'm_soil_xz' )
+                   CASE ( 'm_soil_xz', 't_soil_xz' )
 
                       grid_x = 'x'
@@ -3126,9 +3137,10 @@
 !
 !--                Most variables are defined on the zu grid
-                   CASE ( 'e_yz', 'lpt_yz', 'nr_yz', 'p_yz', 'pc_yz', 'pr_yz',&
-                          'prr_yz', 'pt_yz', 'q_yz', 'qc_yz', 'ql_yz',        &
-                          'ql_c_yz', 'ql_v_yz', 'ql_vp_yz', 'qr_yz', 'qv_yz', &
-                          'rho_yz', 's_yz', 'sa_yz', 'vpt_yz', 'rad_lw_in_yz',&
-                             'rad_lw_out_yz', 'rad_sw_in_yz', 'rad_sw_out_yz' )
+                   CASE ( 'e_yz', 'lpt_yz', 'nr_yz', 'p_yz', 'pc_yz', 'pr_yz', &
+                          'prr_yz', 'pt_yz', 'q_yz', 'qc_yz', 'ql_yz',         &
+                          'ql_c_yz', 'ql_v_yz', 'ql_vp_yz', 'qr_yz', 'qv_yz',  &
+                          'rad_lw_cs_hr_yz', 'rad_lw_hr_yz',                   &
+                          'rad_sw_cs_hr_yz', 'rad_sw_hr_yz''rho_yz', 's_yz',   &
+                          'sa_yz', 'vpt_yz' )
 
                       grid_x = 'x'
@@ -3151,5 +3163,6 @@
 !
 !--                w grid
-                   CASE ( 'w_yz' )
+                   CASE ( 'rad_lw_in_yz', 'rad_lw_out_yz', 'rad_sw_in_yz',     &
+                          'rad_sw_out_yz', 'w_yz' )
 
                       grid_x = 'x'
@@ -3158,5 +3171,5 @@
 !
 !--                soil grid
-                   CASE ( 't_soil_yz', 'm_soil_yz' )
+                   CASE ( 'm_soil_yz', 't_soil_yz' )
 
                       grid_x = 'x'
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1686)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1691)
@@ -14,10 +14,10 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
+! Added skip_time_do_lsm, skip_time_do_radiation, and emissivity
 ! 
 ! Former revisions:
@@ -92,4 +92,7 @@
 !> This subroutine reads from the NAMELIST file variables controling model
 !> software packages which are used optionally in the run.
+!>
+!> @todo Perform all actions in the respective submodules and remove 
+!>       package_parin
 !------------------------------------------------------------------------------!
  SUBROUTINE package_parin
@@ -117,12 +120,12 @@
     USE land_surface_model_mod,                                                &
         ONLY: alpha_vangenuchten, c_surface, canopy_resistance_coefficient,    &
-              conserve_water_content, dewfall, f_shortwave_incoming,           &
-              hydraulic_conductivity, lambda_surface_stable,                   &
-              lambda_surface_unstable,                                         &
-              leaf_area_index, land_surface, l_vangenuchten,                   &
-              min_canopy_resistance, min_soil_resistance, field_capacity,      &
-              residual_moisture, saturation_moisture, wilting_point,           &
-              n_vangenuchten, root_fraction, soil_moisture, soil_temperature,  &
-              soil_type, vegetation_coverage, veg_type, z0_eb, z0h_eb, zs
+              conserve_water_content, dewfall, field_capacity,                 &
+              f_shortwave_incoming, hydraulic_conductivity,                    &
+              lambda_surface_stable, lambda_surface_unstable, leaf_area_index, &
+              land_surface, l_vangenuchten, min_canopy_resistance,             &
+              min_soil_resistance, n_vangenuchten, residual_moisture,          &
+              root_fraction, saturation_moisture, wilting_point,               &
+              skip_time_do_lsm, soil_moisture, soil_temperature, soil_type,    &
+              vegetation_coverage, veg_type, zs, z0_eb, z0h_eb
 
     USE kinds
@@ -152,7 +155,8 @@
     USE radiation_model_mod,                                                   &
         ONLY: albedo, albedo_type, albedo_lw_dif, albedo_lw_dir, albedo_sw_dif,&
-              albedo_sw_dir, day_init, constant_albedo, dt_radiation, lambda,  &
-              lw_radiation, net_radiation, radiation, radiation_scheme,        &
-              sw_radiation, time_utc_init
+              albedo_sw_dir, constant_albedo, day_init, dt_radiation,          &
+              emissivity, lambda, lw_radiation, net_radiation, radiation,      &
+              radiation_scheme, skip_time_do_radiation, sw_radiation,          &
+              time_utc_init
                 
 
@@ -200,6 +204,6 @@
                                   min_soil_resistance, n_vangenuchten,         &
                                   residual_moisture, root_fraction,            &
-                                  saturation_moisture, soil_moisture,          &
-                                  soil_temperature, soil_type,                 &
+                                  saturation_moisture, skip_time_do_lsm,       &
+                                  soil_moisture, soil_temperature, soil_type,  &
                                   vegetation_coverage, veg_type, wilting_point,& 
                                   zs, z0_eb, z0h_eb
@@ -234,5 +238,6 @@
                                   constant_albedo, day_init, dt_radiation,     &
                                   lambda, lw_radiation, net_radiation,         &
-                                  radiation_scheme, sw_radiation, time_utc_init 
+                                  radiation_scheme, skip_time_do_radiation,    &
+                                  sw_radiation, time_utc_init 
 
     NAMELIST /spectra_par/        averaging_interval_sp, comp_spectra_level,   &
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1686)
+++ palm/trunk/SOURCE/parin.f90	(revision 1691)
@@ -14,10 +14,10 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
+! Added parameter most_method. Renamed prandtl_layer to constant_flux_layer.
 ! 
 ! Former revisions:
@@ -185,5 +185,6 @@
                cloud_droplets, cloud_physics, cloud_scheme,                    &
                cloud_top_radiation, conserve_volume_flow,                      &
-               conserve_volume_flow_mode, coupling_start_time,                 &
+               conserve_volume_flow_mode, constant_flux_layer,                 &
+               coupling_start_time,                                            &
                create_disturbances, cycle_mg, data_output, data_output_masks,  &
                data_output_pr, data_output_2d_on_each_pe,                      &
@@ -210,8 +211,9 @@
                maximum_parallel_io_streams, max_pr_user, message_string,       &
                mg_cycles, mg_switch_to_pe0_level, mixing_length_1d,            &
-               momentum_advec, netcdf_data_format, netcdf_precision, neutral,  &
-               ngsrb, normalizing_region, nsor, nsor_ini, nudging, ocean,      &
+               momentum_advec, most_method, netcdf_data_format,                &
+               netcdf_precision, neutral, ngsrb, normalizing_region, nsor,     &
+               nsor_ini, nudging, ocean,                                       &
                omega, omega_sor, passive_scalar, phi, nz_do3d,                 &
-               prandtl_layer, prandtl_number, precipitation,                   &
+               prandtl_number, precipitation,                                  &
                precipitation_amount_interval, psolver, pt_damping_factor,      &
                pt_damping_width, pt_reference, pt_surface,                     &
@@ -224,5 +226,5 @@
                reference_state, residual_limit,                                &
                restart_time, return_addres, return_username,                   &
-               revision, rif_max, rif_min, roughness_length, runnr,            &
+               revision, roughness_length, runnr,                              &
                run_identifier, sa_surface, sa_vertical_gradient,               &
                sa_vertical_gradient_level, scalar_advec,                       &
@@ -246,5 +248,6 @@
                vg_vertical_gradient_level, v_bulk, v_profile,                  &
                wall_adjustment, wall_heatflux, wall_humidityflux,              &
-               wall_scalarflux, write_binary, z0h_factor, z_max_do2d
+               wall_scalarflux, write_binary, zeta_max, zeta_min, z0h_factor,  &
+               z_max_do2d
 
     USE cpulog,                                                                &
@@ -274,4 +277,5 @@
     USE statistics,                                                            &
         ONLY:  hom, hom_sum, pr_palm, region, statistic_regions
+
 
     IMPLICIT NONE
@@ -291,5 +295,6 @@
              cloud_physics, cloud_scheme, cloud_top_radiation,                 &
              collective_wait, conserve_volume_flow,                            &
-             conserve_volume_flow_mode, coupling_start_time,                   &
+             conserve_volume_flow_mode, constant_flux_layer,                   &
+             coupling_start_time,                                              &
              curvature_solution_effects, cycle_mg, damp_level_1d,              &
              dissipation_1d,                                                   &
@@ -306,7 +311,7 @@
              loop_optimization, masking_method, mg_cycles,                     &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
-             nc_const, netcdf_precision, neutral, ngsrb,                       &
+             most_method, nc_const, netcdf_precision, neutral, ngsrb,          &
              nsor, nsor_ini, nudging, nx, ny, nz, ocean, omega, omega_sor,     &
-             passive_scalar, phi, prandtl_layer,                               &
+             passive_scalar, phi,                                              &
              prandtl_number, precipitation, psolver, pt_damping_factor,        &
              pt_damping_width, pt_reference, pt_surface,                       &
@@ -318,5 +323,5 @@
              recycling_width, recycling_yshift,                                &
              reference_state, residual_limit,                                  &
-             rif_max, rif_min, roughness_length, sa_surface,                   &
+             roughness_length, sa_surface,                                     &
              sa_vertical_gradient, sa_vertical_gradient_level, scalar_advec,   &
              scalar_rayleigh_damping,                                          &
@@ -335,5 +340,5 @@
              vg_vertical_gradient_level, v_bulk, v_profile, ventilation_effect,&
              wall_adjustment, wall_heatflux, wall_humidityflux,                &
-             wall_scalarflux, z0h_factor
+             wall_scalarflux, zeta_max, zeta_min, z0h_factor
       
     NAMELIST /d3par/  averaging_interval, averaging_interval_pr,               &
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 1686)
+++ palm/trunk/SOURCE/production_e.f90	(revision 1691)
@@ -14,10 +14,10 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
+! Renamed prandtl_layer to constant_flux_layer.
 ! 
 ! Former revisions:
@@ -78,5 +78,5 @@
 ! ------------
 !> Production terms (shear + buoyancy) of the TKE.
-!> @warning The case with prandtl_layer = F and use_surface_fluxes = T is
+!> @warning The case with constant_flux_layer = F and use_surface_fluxes = T is
 !>          not considered well!
 !------------------------------------------------------------------------------!
@@ -128,8 +128,8 @@
 
        USE control_parameters,                                                 &
-           ONLY:  cloud_droplets, cloud_physics, g, humidity, kappa, neutral,  &
-                  ocean, prandtl_layer, pt_reference, rho_reference,           &
-                  use_single_reference_value, use_surface_fluxes,              &
-                  use_top_fluxes
+           ONLY:  cloud_droplets, cloud_physics, constant_flux_layer, g,       &
+                  humidity, kappa, neutral, ocean, pt_reference,               &
+                  rho_reference, use_single_reference_value,                   &
+                  use_surface_fluxes, use_top_fluxes
 
        USE grid_variables,                                                     &
@@ -217,5 +217,5 @@
           ENDDO
 
-          IF ( prandtl_layer )  THEN
+          IF ( constant_flux_layer )  THEN
 
 !
@@ -734,8 +734,8 @@
 
        USE control_parameters,                                                 &
-           ONLY:  cloud_droplets, cloud_physics, g, humidity, kappa, neutral,  &
-                  ocean, prandtl_layer, pt_reference, rho_reference,           &
-                  topography, use_single_reference_value, use_surface_fluxes,  &
-                  use_top_fluxes
+           ONLY:  cloud_droplets, cloud_physics, constant_flux_layer, g,       &
+                  humidity, kappa, neutral, ocean, pt_reference,               &
+                  rho_reference, topography, use_single_reference_value,       &
+                  use_surface_fluxes, use_top_fluxes
 
        USE grid_variables,                                                     &
@@ -832,5 +832,5 @@
        ENDDO
 
-       IF ( prandtl_layer )  THEN
+       IF ( constant_flux_layer )  THEN
 
 !
@@ -1402,8 +1402,8 @@
 
        USE control_parameters,                                                 &
-           ONLY:  cloud_droplets, cloud_physics, g, humidity, kappa, neutral,  &
-                  ocean, prandtl_layer, pt_reference, rho_reference,           &
-                  use_single_reference_value, use_surface_fluxes,              &
-                  use_top_fluxes
+           ONLY:  cloud_droplets, cloud_physics, constant_flux_layer, g,       &
+                  humidity, kappa, neutral, ocean, pt_reference,               &
+                  rho_reference, use_single_reference_value,                   &
+                  use_surface_fluxes, use_top_fluxes
 
        USE grid_variables,                                                     &
@@ -1473,5 +1473,5 @@
        ENDDO
 
-       IF ( prandtl_layer )  THEN
+       IF ( constant_flux_layer )  THEN
 
           IF ( ( wall_e_x(j,i) /= 0.0_wp ) .OR. ( wall_e_y(j,i) /= 0.0_wp ) )  THEN
@@ -1924,5 +1924,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  kappa, prandtl_layer
+           ONLY:  constant_flux_layer, kappa
 
        USE indices,                                                            &
@@ -1937,5 +1937,5 @@
        INTEGER(iwp) ::  kv  !<
 
-       IF ( prandtl_layer )  THEN
+       IF ( constant_flux_layer )  THEN
 
           IF ( first_call )  THEN
